[tool.poetry]
name = "decsvisa"
version = "0.1.4"
description = "A simple TCP socket server as a WAMP wrapper for communication with oi.DECS based systems"
authors = ["Dennis Brinkman <D.Brinkman-1@tudelft.nl>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
click = "^8.1.7"
autobahn = "^24.4.2"
pyfiglet = "^1.0.2"
jinja2 = "^3.1.4"
toml = "^0.10.2"


[tool.poetry.group.dev.dependencies]
black = "^24.8.0"
isort = "^5.13.2"
pylint = "^3.3.1"

[tool.poetry.scripts]
decsvisa = 'decsvisa.cli:cli'

[tool.black]
line-length = 120

[tool.isort]
profile = "black"

[tool.pylint."MESSAGES CONTROL"]
disable = [
    "format",                         # format - handled by black
    "missing-module-docstring",       # Don't care
    "missing-class-docstring",        # Don't care
    "missing-function-docstring",     # Don't care
    "duplicate-code",                 # unavoidable
    "too-few-public-methods",
    "too-many-arguments",
    "too-many-instance-attributes",
    "logging-fstring-interpolation",  # I like this way more
    "broad-except",                   # No need to specify more
    "no-else-return",                 # I find this seperation more clear
    "f-string-without-interpolation", # Just a habit to make f-strings
    "simplifiable-if-expression",     # Often reads more clearly if not simplified
    "use-a-generator",                # Don't care
]

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
